# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate webpki

Name:           rust-%{crate}
Version:        0.21.4
Release:        5%{?dist}
Summary:        Web PKI X.509 Certificate Verification

# Upstream license specification: None
# * webpki itself is licensed under the terms of the ISC license
# * third-party data from chromium is licensed under a 3-Clause BSD license,
#   but it is only used for integration tests and not included in RPM packages
License:        ISC

URL:            https://crates.io/crates/webpki
Source:         %{crates_source}
# Initial patched metadata
# * bump base64 from 0.9 to 0.13.
#   https://github.com/briansmith/webpki/pull/230
Patch0:         webpki-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
# ring is not available on ppc64le and s390x
ExcludeArch:    ppc64le s390x
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Web PKI X.509 Certificate Verification.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/
# these files are only used by integration tests
%exclude %{cargo_registry}/%{crate}-%{version_no_tilde}/third-party/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+trust_anchor_util-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trust_anchor_util-devel %{_description}

This package contains library source intended for building other packages
which use "trust_anchor_util" feature of "%{crate}" crate.

%files       -n %{name}+trust_anchor_util-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch aarch64
# some doctests fail to compile on aarch64
# https://bugzilla.redhat.com/show_bug.cgi?id=1902663
%cargo_test -- --lib
%else
%cargo_test
%endif
%endif

%changelog
* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.4-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 10 2021 Fabio Valentini <decathorpe@gmail.com> - 0.21.4-1
- Initial package
